:root {
    --bg-primary: #F4F3EF;
    --bg-secondary: #3D3D3A;
    --bg-tertiary: #E3DACC;
    --bg-quaternary: #141413;
    --bg-quinary: #F0EEE6;
    --bg-sixth: #FAF9F5;
    --font-color-primary: #141413;
    --font-color-secondary: #5E5D59;
    --font-color-tertiary: #FAF9F5;
    --font-color-quaternary: #B0AEA5;
    --mobile-cta: #df704b;
    --mobile-cta-hover: #D97757;
    --border-mobile-links: #E3E2DE;
}
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}
::selection {
    background-color: #DEB3A1;
}
footer::selection,
footer *::selection,
.releases-cta *::selection {
    background-color: #70483B;
}
body {
    background-color: var(--bg-primary);
    font-family: "Inter", sans-serif;
}
header {
    position: sticky;
    top: 0;
    background-color: var(--bg-primary);
    z-index: 100;
}
header nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 64px;
    margin: 0 clamp(1.5rem, 8vw, 7rem);
}
header nav a:focus-visible {
    outline: 2px solid var(--font-color-primary);
    outline-offset: 4px;
}
header nav .nav-links {
    display: flex;
    align-items: center;
    gap: 1.5rem;
}
header nav .nav-links .links ul {
    list-style: none;
    display: flex;
    gap: 1.5rem;
}
header nav .nav-links .links ul .down-icon {
    display: flex;
    gap: 0.5rem;
    text-align: center;
}
header nav .logo img {
    width: 2.85rem;
}
header nav .nav-links .links ul li a {
    text-decoration: none;
    color: var(--font-color-primary);
    position: relative;
}
header nav .nav-links .links > ul > li > a::after {
    content: "";
    position: absolute;
    background-color: var(--bg-quaternary);
    bottom: -2px;
    left: 0;
    height: 1px;
    width: 0;
}
header nav .nav-links .links > ul > li:hover > a::after {
    width: 100%;
}
header nav .nav-links .links ul li svg {
    width: 0.7rem;
    transition: transform 0.2s ease;
}
header nav .nav-links .links ul li:hover svg{
    transform: rotate(180deg);
}
header nav .nav-links .links a:focus-visible {
    outline-offset: 20px;
}
header nav .nav-links .hover-links a:focus-visible {
    outline-offset: 4px;
}
header nav .nav-links .hover-links a {
    display: block;
}
header nav .nav-links .hover-links {
    position: absolute;
    top: calc(100% + 1.5rem);
    left: -60%;
    padding: 2rem 1.5rem;
    width: 250px;
    background-color: var(--bg-sixth);
    border-radius: 15px;
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    text-align: left;
    transition: 
        opacity 0.4s ease,
        visibility 0.4s ease;
}
header nav .nav-links .hover-links::before {
    position: absolute;
    content: "";
    width: 100%;
    height: 25px;
    top: -25px;
    right: 0;
}
header nav .nav-links .links ul li:has(.hover-links) {
    position: relative;
}
header nav .nav-links .links ul li .hover-links div:not(:first-child) {
    padding-top: 1rem;
    border-top: 1px solid var(--font-color-quaternary);
}
header nav .nav-links .links ul li .hover-links div ul {
    list-style: none;
    flex-direction: column;
    gap: 0;
}
header nav .nav-links .links ul li .hover-links div p {
    color: var(--bg-secondary);
    margin-bottom: 0.8rem;
    font-size: 0.95rem;
}
header nav .nav-links .links ul li .hover-links div ul li {
    margin-bottom: 0.3rem;
}
header nav .nav-links .links ul li .hover-links div ul li a {
    text-decoration: none;
    color: var(--font-color-primary);
    font-size: 1.1rem;
    font-family: "Newsreader", serif;
}
header nav .nav-links .links ul li .hover-links div ul li a:has(svg) {
    display: flex;
    justify-content: space-between;
}
header nav .nav-links .links ul li .hover-links div ul li a svg {
    transform: rotate(360deg);
    width: 0.8rem;
    color: var(--bg-secondary);
}
header nav .nav-links .links ul li .hover-links div ul li a:hover {
    text-decoration: underline;
}
header nav .nav-links .links ul li .hover-links div ul li a:hover svg {
    color: var(--bg-quaternary);
}
header nav .nav-links li:hover .hover-links ,
header nav .nav-links li:focus-within .hover-links,
header nav .nav-links .cta .chevron-icon:hover .hover-links,
header nav .nav-links .cta .chevron-icon:focus-within .hover-links{
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
}
header nav .nav-links .cta {
    background-color: var(--bg-quaternary);
    border-radius: 8px;
    display: flex;
    justify-content: center;
    align-items: center;
}
header nav .nav-links .cta > div {
    height: 35px;
}
header nav .nav-links .cta > div:first-child {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 120px;
}
header nav .nav-links .cta > div:first-child a {
    display: flex;
    justify-content: center;
    align-items: center;
    height: inherit;
    width: inherit;
    text-decoration: none;
    color: var(--font-color-tertiary);
    border-right: 1px solid var(--bg-secondary);
    border-radius: 8px 0 0 8px;
    transition: background-color 0.2s ease;
}
header nav .nav-links .cta > div:first-child a:hover {
    background-color: var(--bg-secondary);
}
header nav .nav-links .cta .chevron-icon {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    color: var(--font-color-tertiary);
    position: relative;
    border-radius: 0 8px 8px 0;
    cursor: pointer;
    transition: background-color 0.2s ease;
}
header nav .nav-links .cta .chevron-icon a {
    text-decoration: none;
    color: var(--bg-primary);
}
header nav .nav-links .cta .chevron-icon svg {
    width: 0.8rem;
    transition: transform 0.2s ease;
}
header nav .nav-links .cta .chevron-icon:hover {
    background-color: var(--bg-secondary);
}
header nav .nav-links .cta .chevron-icon:focus-within {
    outline: 2px solid var(--font-color-primary);
    outline-offset: 4px;
}
header nav .nav-links .cta .chevron-icon:hover svg {
    transform: rotate(180deg);
}
header nav .nav-links .cta .chevron-icon .hover-links {
    top: calc(100% + 0.5rem);
    left: -520%;
}
header nav .nav-links .cta .chevron-icon .hover-links::before {
    width: 20%;
    height: 15px;
    top: -15px;
}
header nav .nav-links .cta .chevron-icon .hover-links div:not(:first-child) {
    padding-top: 1rem;
    border-top: 1px solid var(--font-color-quaternary);
}
header nav .nav-links .cta .chevron-icon .hover-links div ul {
    list-style: none;
    flex-direction: column;
}
header nav .nav-links .cta .chevron-icon .hover-links div p {
    color: var(--bg-secondary);
    margin-bottom: 0.8rem;
    font-size: 0.95rem;
}
header nav .nav-links .cta .chevron-icon .hover-links div ul li {
    margin-bottom: 0.3rem;
}
header nav .nav-links .cta .chevron-icon .hover-links div ul li a {
    text-decoration: none;
    color: var(--font-color-primary);
    font-size: 1.1rem;
    font-family: "Newsreader", serif;
}
header nav .nav-links .cta .chevron-icon .hover-links div ul li a:has(svg) {
    display: flex;
    justify-content: space-between;
}
header nav .nav-links .cta .chevron-icon .hover-links div ul li a svg {
    transform: rotate(360deg);
    width: 0.8rem;
    color: var(--font-color-secondary);
}
header nav .nav-links .cta .chevron-icon .hover-links div ul li a:hover {
    text-decoration: underline;
}
header nav .nav-links .cta .chevron-icon .hover-links div ul li a:hover svg {
    color: var(--bg-quaternary);
}
header nav .nav-links .menu-toggles {
    display: none;
    border: none;
    padding: 0;
    background: transparent;
    cursor: pointer;
}
header nav .nav-links .menu-toggles svg {
    width: 2rem;
}
header nav .nav-links .menu-toggles .menu-close {
    display: none;
}
header nav .nav-links-mobile {
    background-color: var(--bg-primary);
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    height: calc(100svh - 64px);
    overflow-y: auto;
    display: none;
    flex-direction: column;
    justify-content: space-between;
    padding: 1rem 1.75rem 3rem 1rem;
    border-top: 1px solid var(--border-mobile-links);
}
header nav .nav-links-mobile ul {
    list-style: none;
}
header nav .nav-links-mobile .mobile-links > ul > li {
    border-bottom: 1px solid var(--border-mobile-links);
    margin: 0 1rem;
}
header nav .nav-links-mobile .mobile-links > ul > li > a {
    display: inline-block;
    width: 100%;
    font-size: 1.5rem;
    padding: 1.5rem 0;
    color: var(--font-color-primary);
    font-weight: 600;
    text-decoration: none;
}
header nav .nav-links-mobile .nav-links-expand {
    display: block;
}
header nav .nav-links-mobile details {
    width: 100%;
}
header nav .nav-links-mobile summary {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1.5rem 0;
    color: var(--font-color-primary);
    font-size: 1.5rem;
    font-weight: 600;
    cursor: pointer;
    list-style: none;
}
header nav .nav-links-mobile summary::-webkit-details-marker {
    display: none;
}
header nav .nav-links-mobile summary svg {
    width: 0.7rem;
    transition: transform 0.2s ease;
}
header nav .nav-links-mobile details[open] summary svg {
    transform: rotate(180deg);
}
header nav .nav-links-mobile .hover-links-mobile {
    padding: 0 0 1.5rem;
}
header nav .nav-links-mobile .mobile-cta a{
    display: inline-block;
    width: 100%;
    text-align: center;
    text-decoration: none;
    padding: 0.5rem;
    border-radius: 5px;
    transition:
        background-color 0.2s ease,
        border-color 0.2s ease;
}
header nav .nav-links-mobile .mobile-cta li:first-child a {
    background-color: var(--mobile-cta);
    color: var(--font-color-tertiary);
    margin-bottom: 1rem;
}
header nav .nav-links-mobile .mobile-cta li:first-child a:hover {
    background-color: var(--mobile-cta-hover);
}
header nav .nav-links-mobile .mobile-cta li:last-child a {
    border: 1px solid var(--border-mobile-links);
    color: var(--font-color-primary);
}
header nav .nav-links-mobile .mobile-cta li:last-child a:hover {
    border-color: var(--font-color-primary);
}
header nav .nav-links-mobile .hover-links-mobile div:not(:first-child) {
    padding-top: 1rem;
    border-top: 1px solid var(--font-color-quaternary);
}
header nav .nav-links-mobile .hover-links-mobile div ul {
    list-style: none;
    flex-direction: column;
}
header nav .nav-links-mobile .hover-links-mobile div p {
    color: var(--bg-secondary);
    margin-bottom: 0.8rem;
    font-size: 0.95rem;
}
header nav .nav-links-mobile .hover-links-mobile div ul li {
    margin-bottom: 0.3rem;
}
header nav .nav-links-mobile .hover-links-mobile div ul li a {
    text-decoration: none;
    color: var(--font-color-primary);
    font-size: 1.1rem;
    font-family: "Newsreader", serif;
}
header nav .nav-links-mobile .hover-links-mobile div ul li a:has(svg) {
    display: flex;
    justify-content: space-between;
}
header nav .nav-links-mobile .hover-links-mobile div ul li a svg {
    transform: rotate(360deg);
    width: 0.8rem;
    color: var(--font-color-secondary);
}
header nav .nav-links-mobile .hover-links-mobile div ul li a:hover {
    text-decoration: underline;
}
header nav .nav-links-mobile .hover-links-mobile div ul li a:hover svg {
    color: var(--bg-quaternary);
}
.section-1 {
    margin: clamp(4rem, 9vw, 8rem) clamp(1.5rem, 8vw, 7rem);
    margin-bottom: clamp(4rem, 11vw, 8rem);
}
.section-1 .section-1-wrapper {
    display: grid;
    grid-template-columns: auto auto;
    align-items: flex-end;
    gap: 4rem;
}
.section-1 .section-1-wrapper h1 {
    font-size: clamp(2.5rem, 7vw, 4rem);
    max-width: 700px;
    line-height: 1.1;
    font-weight: 700;
}
.section-1 .section-1-wrapper h1 a {
    color: var(--font-color-primary);
}
.section-1 .section-1-wrapper h1 a:hover {
    display: inline-block;
    color: var(--font-color-secondary);
    background-color: var(--bg-quinary);
}
.section-1 .section-1-wrapper h1 a:focus-visible {
    outline: 2px solid var(--font-color-primary);
    outline-offset: 8px;
}
.section-1 .section-1-wrapper p {
    font-size: clamp(1.5rem, 5vw, 1.8rem);
    max-width: 600px;
    font-family: "Newsreader", serif;
}
.section-2 {
    margin: 0 clamp(1.5rem, 8vw, 7rem);
    padding-bottom: clamp(4rem, 14vw, 12rem);
}
.section-2 .section-2-wrapper {
    height: clamp(33rem, 70vh, 41rem);
    background-color: var(--bg-secondary);
    border-radius: 24px;
}
.section-3 {
    margin: 0 clamp(1.5rem, 8vw, 7rem);
    margin-bottom: clamp(4rem, 14vw, 12rem);
}
.section-3 .section-3-wrapper {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1.5rem;
}
.section-3 .section-3-wrapper > div {
    background-color: var(--bg-tertiary);
    padding: 1.4rem 1.2rem;
    border-radius: 12px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: clamp(3rem, 8vw, 6rem);
}
.section-3 h3 {
    margin-bottom: 1.5rem;
    font-size: 1.5rem;
}
.section-3 .section-3-wrapper .releases .release-description h3 {
    font-size: 1.4rem;
    margin-bottom: 0.6rem;
    max-width: 350px;
    line-height: 1.3;
}
.section-3 .section-3-wrapper .releases:last-child .release-description h3 {
    max-width: 300px;
}
.section-3 .section-3-wrapper .releases .release-description p {
    max-width: 320px;
    font-size: 1.2rem;
    line-height: 1.25;
    font-family: "Newsreader", serif;
}
.section-3 .section-3-wrapper .releases:last-child .release-description p {
    max-width: 300px;
}
.section-3 .section-3-wrapper .releases > div .date p:first-child,
.section-3 .section-3-wrapper .releases > div .category p:first-child {
    font-family: "IBM Plex Mono", monospace;
}
.section-3 .section-3-wrapper .releases > div .date,
.section-3 .section-3-wrapper .releases > div .category {
    display: flex;
    justify-content: space-between;
    padding: 0.6rem 0;
    border-bottom: 1px solid var(--font-color-secondary);
}

.section-3 .section-3-wrapper .releases > div .date {
    border-top: 1px solid var(--font-color-secondary);
}
.section-3 .section-3-wrapper .releases .releases-cta {
    margin-top: 1.5rem;
}
.section-3 .section-3-wrapper .releases .releases-cta a {
    text-decoration: none;
    color: var(--font-color-tertiary);
    background-color: var(--bg-quaternary);
    display: inline-block;
    padding: 0.5rem 0.9rem;
    border-radius: 6px;
    transition: background-color 0.2s ease;
}
.section-3 .section-3-wrapper .releases .releases-cta a:hover {
    background-color: var(--bg-secondary);
}
.section-3 .section-3-wrapper .releases .releases-cta a:focus-visible {
    outline: 2px solid var(--font-color-primary);
    outline-offset: 4px;
}
.section-3 .section-3-wrapper .releases .release-description .more-details {
    display: inline-block;
    margin: 1rem 0;
    text-decoration: none;
    color: var(--font-color-primary);
}
.section-3 .section-3-wrapper .releases .release-description .more-details:focus-visible {
    outline: 2px solid var(--font-color-primary);
    outline-offset: 4px;
    border-radius: 5px;
}
.section-4 {
    margin: 0 clamp(1.5rem, 8vw, 7rem);
    margin-bottom: clamp(4rem, 14vw, 12rem);
}
.section-4 .section-4-wrapper {
    display: grid;
    grid-template-columns: 1fr 2fr;
    gap: 0 2rem;
}
.section-4 .section-4-wrapper > div {
    display: flex;
    flex-direction: column;
}
.section-4 .section-4-wrapper > div h3 {
    max-width: 280px;
    line-height: 1.3;
    letter-spacing: 0.4px;
}
.section-4 .section-4-wrapper > div > div {
    border-bottom: 1px solid var(--font-color-secondary);
}
.section-4 .section-4-wrapper > div > div a {
    text-decoration: none;
    display: flex;
    justify-content: space-between;
    color: var(--font-color-secondary);
}
.section-4 .section-4-wrapper > div > div a p:first-child {
    color: var(--font-color-primary);
    font-weight: 600;
}
.section-4 .section-4-wrapper > div > div a:hover p {
    color: var(--font-color-secondary);
}
.section-4 .section-4-wrapper > div > div a:focus-visible {
    outline: 2px solid var(--font-color-primary);
    outline-offset: 4px;
}
.section-4 .section-4-wrapper > div > div a p {
    display: inline-block;
    padding: 1rem 0;
}
.section-4 .section-4-wrapper div h3 {
    font-size: 1.5rem;
}
footer {
    background-color: var(--bg-quaternary);
}
footer .footer-wrapper {
    padding: 4rem clamp(2rem, 7vw, 9rem);
    display: grid;
    grid-template-columns: 1fr 4fr;
    grid-template-rows: 1fr 1fr;
    gap: 0 clamp(2rem, 5vw, 4rem);
}
footer .footer-wrapper .first-column {
    grid-row: 1 / 2;
    align-self: flex-start;
}
footer .footer-wrapper .first-column > div img {
    width: 2rem;
}
footer .footer-wrapper .first-column div .footer-logo {
    width: 4rem;
}
footer .footer-wrapper .second-column {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 0 clamp(1.5rem, 3vw, 4rem);
    grid-column: 2 / 3;
    grid-row: 1 / 3;
}
footer .footer-wrapper .second-column > div {
    display: flex;
    flex-direction: column;
    gap: clamp(2rem, 5vw, 4rem) 0;
}
footer .footer-wrapper .second-column > div > div p {
    font-size: 0.8rem;
    color: var(--font-color-tertiary);
    margin-bottom: 0.8rem;
    font-weight: 600;
}
footer .footer-wrapper .second-column > div > div ul {
    list-style: none;
}
footer .footer-wrapper .second-column > div > div ul li {
    margin-bottom: 0.6rem;
}
footer .footer-wrapper .second-column > div > div ul li a {
    font-size: 0.75rem;
    text-decoration: none;
    color: var(--font-color-quaternary);
}
footer .footer-wrapper .second-column > div > div ul li a:hover {
    text-decoration: underline;
    text-underline-offset: 4px;
    color: var(--font-color-tertiary);
}
footer .footer-wrapper .third-column {
    grid-column: 1 / 2;
    grid-row: 2 / 3;
    align-self: flex-end;
}
footer .footer-wrapper .third-column div p {
    margin-bottom: 1rem;
    color: var(--font-color-quaternary);
}
footer .footer-wrapper .third-column > div > div {
    display: flex;
    gap: 0.7rem;
}
footer .footer-wrapper .third-column > div > div a {
    text-decoration: none;
}
footer .footer-wrapper .third-column > div > div a svg {
    color: var(--font-color-quaternary);
    width: 1.5rem;
}
footer .footer-wrapper .third-column > div > div a:hover svg {
    color: var(--bg-primary);
}
footer .footer-wrapper .third-column > div > div a:focus-visible {
    outline: 2px solid var(--font-color-tertiary);
    outline-offset: 4px;
}
@media (max-width: 1120px) {
    header nav .nav-links .links,
    header nav .nav-links .cta {
        display: none;
    }
    header nav .nav-links .menu-toggles {
        display: inline-block;
    }
    header nav .nav-links-mobile.is-open {
        display: flex;
    }
}
@media (max-width: 991px) {
    .section-1 .section-1-wrapper {
        grid-template-columns: 1fr;
        gap: 1rem;
    }
    .section-3 .section-3-wrapper {
        grid-template-columns: 1fr;
    }
    .section-4 .section-4-wrapper {
        grid-template-columns: 1fr;
        gap: 2rem;
    }
    footer .footer-wrapper {
        grid-template-columns: 1fr;
        grid-template-rows: auto auto auto;
        gap: 2.5rem 0;
    }
    footer .footer-wrapper .first-column {
        grid-column: 1;
        grid-row: 1 / 2;
    }
    footer .footer-wrapper .second-column {
        grid-template-columns: 1fr 1fr;
        grid-column: 1;
        grid-row: 2 / 3;
    }
    footer .footer-wrapper .third-column {
        grid-column: 1;
        grid-row: 3 / 4;
    }
}
@media (max-width: 767px) {
    .section-4 .section-4-wrapper > div > div a {
        flex-direction: column;
    }
    .section-4 .section-4-wrapper > div > div a p {
        padding: 0;
    }
    .section-4 .section-4-wrapper > div > div a p:first-child {
        padding-top: 1rem;
        padding-bottom: 0.5rem;
    }
    .section-4 .section-4-wrapper > div > div a p:last-child {
        padding-bottom: 1rem;
    }
}
@media (max-width: 479px) {
    footer .footer-wrapper .second-column {
        grid-template-columns: 1fr;
        gap: 1.5rem;
    }
    .section-1 .section-1-wrapper h1 {
        max-width: 300px;
    }
}
